<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- bootstrap CSS link -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">


	<!-- custom css -->
	<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->
	<title>Bootstrap Grid System</title>

</head>

<body class="text-center">

	<h1>Bootstrap Grind System</h1>

	<!-- Two Coloumns -->
	<h2>Two Coloumns</h2>
	<div class="container-fluid">
		<!-- Row with two equal coloumns -->
			<!-- 
					- The "row" class will make all child elements appear side by side stating that all child elements should appear in a row.
					- The "col-6" class will define the width of the child elements to occupy 6 columns for a total of 12.
				 -->
		<h3>1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
		</div>

		<!-- row w two coloumns divided in 1:2 ratio -->
	<h3>1:2 Ratio</h3>
		<div>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8col</div>
		</div>

		<!-- row w two coloumns divided in 1:3 ratio -->
	<h3>1:3 Ratio</h3>
	<div>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9col</div>
		</div>
	</div>

	<!-- three coloumns -->
	<h2>Three Coloumns</h2>
	<div class="container-fluid">
		
		<!-- row with three equal coloumns -->
		<h3>1:1:1</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4col</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4col</div>
		</div>
	</div>


	<!-- row with three coloumns divided in 1:2:1 ratio -->
		<div>
		<h3>1:2:1 Ratio</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6col</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
		</div>

		<h3>Uneven Ratio</h3>
		<div>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-7">7col</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-2">2col</div>
		</div>
	</div>


	

	<!-- Automatic Sizing -->

	<h2>Automatic</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>			
		</div>
	</div>

	<!-- mobile responsive coloumns -->

	<h2>Mobile Responsive Coloumns</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive1</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6 col-md-8 col-lg-10">Responsive2</div>			
		</div>
	</div>


	<h2>Multi Coloumn Layout</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Responsive1</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">Responsive2</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Responsive3</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">Responsive4</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Responsive5</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">Responsive6</div>		
		</div>
	</div>

	<h2>Offset Coloumns</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-2">Responsive1</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6 offset-md-3">Responsive2</div>	
			<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-lg-4">Responsive3</div>		
		</div>
	</div>


	<h2>Coloumn Orders</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
		</div>
	</div>




	


	<!-- bootstrap JS -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B4q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>


</body>
</html>